xmlconstants Namespace Reference

XML related constants. More...

## Enumerations

enum | xmltooling_bool_t { XML_BOOL_NULL , XML_BOOL_TRUE , XML_BOOL_FALSE , XML_BOOL_ONE , XML_BOOL_ZERO }
| Enumerations of the different values of a boolean attribute or element.

## Variables

const XMLCh | XML_NS []
| XML core namespace ("http://www.w3.org/XML/1998/namespace").
const XMLCh | XML_PREFIX []
| XML namespace prefix for special xml attributes ("xml").
const XMLCh | XMLNS_NS []
| XML namespace for xmlns attributes ("http://www.w3.org/2000/xmlns/").
const XMLCh | XMLNS_PREFIX []
| XML namespace prefix for xmlns attributes ("xmlns").
const XMLCh | XSD_NS []
| XML Schema namespace ("http://www.w3.org/2001/XMLSchema").
const XMLCh | XSD_PREFIX []
| XML Schema QName prefix ("xs").
const XMLCh | XSI_NS []
| XML Schema Instance namespace ("http://www.w3.org/2001/XMLSchema-instance").
const XMLCh | XSI_PREFIX []
| XML Schema Instance QName prefix ("xsi").
const XMLCh | XMLSIG_NS []
| XML Signature namespace ("http://www.w3.org/2000/09/xmldsig#").
const XMLCh | XMLSIG_PREFIX []
| XML Signature QName prefix ("ds").
const XMLCh | XMLSIG11_NS []
| XML Signature 1.1 namespace ("http://www.w3.org/2009/xmldsig11#").
const XMLCh | XMLSIG11_PREFIX []
| XML Signature 1.1 QName prefix ("ds11").
const XMLCh | XMLENC_NS []
| XML Encryption namespace ("http://www.w3.org/2001/04/xmlenc#").
const XMLCh | XMLENC_PREFIX []
| XML Encryption QName prefix ("xenc").
const XMLCh | XMLENC11_NS []
| XML Encryption 1.1 namespace ("http://www.w3.org/2009/xmlenc11#").
const XMLCh | XMLENC11_PREFIX []
| XML Encryption 1.1 QName prefix ("xenc11").
const XMLCh | SOAP11ENV_NS []
| SOAP 1.1 Envelope XML namespace ("http://schemas.xmlsoap.org/soap/envelope/").
const XMLCh | SOAP11ENV_PREFIX []
| SOAP 1.1 Envelope QName prefix ("S").
const XMLCh | XMLTOOLING_NS []
| XML Tooling namespace ("http://www.opensaml.org/xmltooling").
const XMLCh | XML_TRUE []
| XML "true" boolean constant.
const XMLCh | XML_FALSE []
| XML "false" boolean constant.
const XMLCh | XML_ONE []
| XML "1" boolean constant.
const XMLCh | XML_ZERO []
| XML "0" boolean constant.

## Detailed Description

XML related constants.